Bug 38494 - S4 connector removes shadowMax and shadowLastChange on password change via samba/kerberos
S4 connector removes shadowMax and shadowLastChange on password change via sa...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: S4 Connector
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-5-errata
Assigned To: Felix Botner
Stefan Gohmann
:
Depends on: 36317 45760
Blocks: 36215
  Show dependency treegraph
 
Reported: 2015-05-08 08:53 CEST by Stefan Gohmann
Modified: 2017-11-22 14:58 CET (History)
8 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-05-08 08:53:13 CEST
The fix should be backported to UCS 3.2.

+++ This bug was initially created as a clone of Bug #36317 +++

The connector removes shadowMax and shadowLastChange if the password is set via samba. 

The connector should properly set these attributes

 -> shadowLastChange  (days since 1970-01-01 00:00:00 UTC)
 
 -> shadowMax keep if existing
Comment 1 Stefan Gohmann univentionstaff 2015-05-08 08:57:35 CEST
Requested via Ticket #2015012021000492
Comment 2 Stefan Gohmann univentionstaff 2015-05-12 12:01:49 CEST
Please merge the bugfix.
Comment 3 Felix Botner univentionstaff 2015-05-13 10:15:25 CEST
univention-s4-connector r60686 
   merged 4.0-1 changes for password expiry attributes

ucs-test r60689
   added test case 
   tests/52_s4connector/401check_posix_pwd_expiry_after_ad_pwdchange

YAML: 2015-05-13-univention-s4-connector.yaml
Comment 4 Stefan Gohmann univentionstaff 2015-05-20 06:44:10 CEST
YAML: OK

Tests: OK
Comment 5 Janek Walkenhorst univentionstaff 2015-05-21 15:56:22 CEST
<http://errata.univention.de/ucs/3.2/334.html>